This is a staging environment. For live and up-to-date package information, visit swiftpackageindex.com.

The Swift Package Index logo.Swift Package Index

Track the adoption of Swift 6 strict concurrency checks for data race safety. How many packages are Ready for Swift 6?

Build Information

Failed to build AmplifyMapLibreAdapter with Swift 6.0 (beta) for macOS (Xcode) using Xcode 16.0 at main.

Build Command

env DEVELOPER_DIR=/Applications/Xcode-15.3.0.app xcrun --toolchain org.swift.600202405261a xcodebuild -IDEClonedSourcePackagesDirPathOverride=$workDir/.dependencies -skipMacroValidation -skipPackagePluginValidation -derivedDataPath $workDir/.derivedData build -scheme AmplifyMapLibreAdapter-Package -destination platform=macos,arch=arm64 OTHER_SWIFT_FLAGS=-stats-output-dir .stats -strict-concurrency=complete

Build Log

========================================
RunAll
========================================
Builder version: 4.40.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/aws-amplify/amplify-ios-maplibre.git
Reference: main
Initialized empty Git repository in /Users/admin/builder/spi-builder-workspace/.git/
From https://github.com/aws-amplify/amplify-ios-maplibre
 * branch            main       -> FETCH_HEAD
 * [new branch]      main       -> origin/main
HEAD is now at 229d221 chore: Adding workflows (#30)
Cloned https://github.com/aws-amplify/amplify-ios-maplibre.git
Revision (git rev-parse @):
229d2210e23d7796dae7204644dbfddbaba4b3f5
SUCCESS checkout https://github.com/aws-amplify/amplify-ios-maplibre.git at main
========================================
Build
========================================
Selected platform:         macosXcodebuild
Swift version:             6.0
Building package at path:  $workDir
https://github.com/aws-amplify/amplify-ios-maplibre.git
Command line invocation:
    /Applications/Xcode-15.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builder/spi-builder-workspace/.dependencies -resolvePackageDependencies
User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builder/spi-builder-workspace/.dependencies
    IDEPackageSupportToolchainOverrideForManifestLoading = org.swift.600202405261a
    IDEPackageSupportUseBuiltinSCM = YES
Build settings from command line:
    TOOLCHAINS = org.swift.600202405261a
Resolve Package Graph
Fetching from https://github.com/stephencelis/SQLite.swift.git
Fetching from https://github.com/aws-amplify/aws-appsync-realtime-client-ios.git
Fetching from https://github.com/apple/swift-collections
Fetching from https://github.com/daltoniam/Starscream
Fetching from https://github.com/awslabs/aws-sdk-swift.git
Fetching from https://github.com/maplibre/maplibre-gl-native-distribution
Fetching from https://github.com/aws-amplify/amplify-swift.git
Fetching from https://github.com/apple/swift-log.git
Fetching from https://github.com/awslabs/smithy-swift
Fetching from https://github.com/aws-amplify/amplify-swift-utils-notifications.git
Fetching from https://github.com/awslabs/aws-crt-swift
Fetching from https://github.com/MaxDesiatov/XMLCoder.git
Creating working copy of package ‘swift-log’
Checking out 1.5.2 of package ‘swift-log’
Creating working copy of package ‘swift-collections’
Checking out 1.0.4 of package ‘swift-collections’
Creating working copy of package ‘smithy-swift’
Checking out 0.15.0 of package ‘smithy-swift’
Creating working copy of package ‘maplibre-gl-native-distribution’
Checking out 5.12.0 of package ‘maplibre-gl-native-distribution’
Creating working copy of package ‘amplify-swift’
Checking out 2.12.0 of package ‘amplify-swift’
Creating working copy of package ‘aws-appsync-realtime-client-ios’
Checking out 3.1.0 of package ‘aws-appsync-realtime-client-ios’
Creating working copy of package ‘Starscream’
Checking out 4.0.4 of package ‘Starscream’
Creating working copy of package ‘aws-crt-swift’
Checking out 0.6.1 of package ‘aws-crt-swift’
Creating working copy of package ‘aws-sdk-swift’
Checking out 0.13.0 of package ‘aws-sdk-swift’
Creating working copy of package ‘XMLCoder’
Checking out 0.17.1 of package ‘XMLCoder’
Creating working copy of package ‘swift’
Checking out 0.13.2 of package ‘swift’
Creating working copy of package ‘amplify-swift-utils-notifications’
Checking out 1.1.0 of package ‘amplify-swift-utils-notifications’
Resolved source packages:
  AmplifyUtilsNotifications: https://github.com/aws-amplify/amplify-swift-utils-notifications.git @ 1.1.0
  aws-sdk-swift: https://github.com/awslabs/aws-sdk-swift.git @ 0.13.0
  swift-collections: https://github.com/apple/swift-collections @ 1.0.4
  AppSyncRealTimeClient: https://github.com/aws-amplify/aws-appsync-realtime-client-ios.git @ 3.1.0
  swift-log: https://github.com/apple/swift-log.git @ 1.5.2
  MapLibre GL Native: https://github.com/maplibre/maplibre-gl-native-distribution @ 5.12.0
  XMLCoder: https://github.com/MaxDesiatov/XMLCoder.git @ 0.17.1
  AmplifyMapLibreAdapter: /Users/admin/builder/spi-builder-workspace
  aws-crt-swift: https://github.com/awslabs/aws-crt-swift @ 0.6.1
  Starscream: https://github.com/daltoniam/Starscream @ 4.0.4
  SQLite.swift: https://github.com/stephencelis/SQLite.swift.git @ 0.13.2
  Amplify: https://github.com/aws-amplify/amplify-swift.git @ 2.12.0
  smithy-swift: https://github.com/awslabs/smithy-swift @ 0.15.0
resolved source packages: AmplifyUtilsNotifications, aws-sdk-swift, swift-collections, AppSyncRealTimeClient, swift-log, MapLibre GL Native, XMLCoder, AmplifyMapLibreAdapter, aws-crt-swift, Starscream, SQLite.swift, Amplify, smithy-swift
{
  "default_localization" : "en",
  "dependencies" : [
    {
      "identity" : "amplify-swift",
      "requirement" : {
        "range" : [
          {
            "lower_bound" : "2.2.0",
            "upper_bound" : "3.0.0"
          }
        ]
      },
      "type" : "sourceControl",
      "url" : "https://github.com/aws-amplify/amplify-swift.git"
    },
    {
      "identity" : "maplibre-gl-native-distribution",
      "requirement" : {
        "exact" : [
          "5.12.0"
        ]
      },
      "type" : "sourceControl",
      "url" : "https://github.com/maplibre/maplibre-gl-native-distribution"
    }
  ],
  "manifest_display_name" : "AmplifyMapLibreAdapter",
  "name" : "AmplifyMapLibreAdapter",
  "path" : "/Users/admin/builder/spi-builder-workspace",
  "platforms" : [
    {
      "name" : "ios",
      "version" : "13.0"
    }
  ],
  "products" : [
    {
      "name" : "AmplifyMapLibreAdapter",
      "targets" : [
        "AmplifyMapLibreAdapter"
      ],
      "type" : {
        "library" : [
          "automatic"
        ]
      }
    },
    {
      "name" : "AmplifyMapLibreUI",
      "targets" : [
        "AmplifyMapLibreUI"
      ],
      "type" : {
        "library" : [
          "automatic"
        ]
      }
    }
  ],
  "targets" : [
    {
      "c99name" : "AmplifyMapLibreUITests",
      "module_type" : "SwiftTarget",
      "name" : "AmplifyMapLibreUITests",
      "path" : "Tests/AmplifyMapLibreUITests",
      "sources" : [
        "AMLMapCompositeViewTestCase.swift",
        "AMLMapViewTestCase.swift"
      ],
      "target_dependencies" : [
        "AmplifyMapLibreAdapter",
        "AmplifyMapLibreUI"
      ],
      "type" : "test"
    },
    {
      "c99name" : "AmplifyMapLibreUI",
      "module_type" : "SwiftTarget",
      "name" : "AmplifyMapLibreUI",
      "path" : "Sources/AmplifyMapLibreUI",
      "product_memberships" : [
        "AmplifyMapLibreUI"
      ],
      "resources" : [
        {
          "path" : "/Users/admin/builder/spi-builder-workspace/Sources/AmplifyMapLibreUI/Resources/de.lproj/Localizable.strings",
          "rule" : {
            "process" : {
              "localization" : "de"
            }
          }
        },
        {
          "path" : "/Users/admin/builder/spi-builder-workspace/Sources/AmplifyMapLibreUI/Resources/en.lproj/Localizable.strings",
          "rule" : {
            "process" : {
              "localization" : "en"
            }
          }
        },
        {
          "path" : "/Users/admin/builder/spi-builder-workspace/Sources/AmplifyMapLibreUI/Assets.xcassets",
          "rule" : {
            "process" : {
            }
          }
        }
      ],
      "sources" : [
        "AMLMapCompositeView/AMLMapCompositeView+iPad.swift",
        "AMLMapCompositeView/AMLMapCompositeView+iPhone.swift",
        "AMLMapCompositeView/AMLMapCompositeView.swift",
        "AMLMapCompositeView/AMLMapCompositeViewModel.swift",
        "AMLMapCompositeView/AMLMapCompositiveView+ViewModifiers.swift",
        "AMLMapView/AMLMapAttributionView.swift",
        "AMLMapView/AMLMapView+ClusteringBehavior.swift",
        "AMLMapView/AMLMapView+ProxyDelegate.swift",
        "AMLMapView/AMLMapView+ViewModifiers.swift",
        "AMLMapView/AMLMapView.swift",
        "AMLMapView/AMLMapViewSettings.swift",
        "AMLMapView/AMLMapViewState+MapLoadingStateMachine.swift",
        "AMLMapView/AMLMapViewState.swift",
        "Extensions/View+Hidden.swift",
        "Extensions/View+Snapshot.swift",
        "MGLMapViewWrapper/_MGLMapViewWrapper+Coordinator.swift",
        "MGLMapViewWrapper/_MGLMapViewWrapper+ViewModifiers.swift",
        "MGLMapViewWrapper/_MGLMapViewWrapper.swift",
        "SupportingTypes/IdentifiablePlace.swift",
        "SupportingViews/AMLActivityIndicator.swift",
        "SupportingViews/AMLCalloutUIView.swift",
        "SupportingViews/AMLMapControlButton.swift",
        "SupportingViews/AMLMapControlView.swift",
        "SupportingViews/AMLPlaceCellView.swift",
        "SupportingViews/AMLPlaceList.swift",
        "SupportingViews/AMLSearchBar.swift"
      ],
      "target_dependencies" : [
        "AmplifyMapLibreAdapter"
      ],
      "type" : "library"
    },
    {
      "c99name" : "AmplifyMapLibreAdapterTests",
      "module_type" : "SwiftTarget",
      "name" : "AmplifyMapLibreAdapterTests",
      "path" : "Tests/AmplifyMapLibreAdapterTests",
      "sources" : [
        "AmplifyMapLibreAdapterTests.swift"
      ],
      "target_dependencies" : [
        "AmplifyMapLibreAdapter"
      ],
      "type" : "test"
    },
    {
      "c99name" : "AmplifyMapLibreAdapter",
      "module_type" : "SwiftTarget",
      "name" : "AmplifyMapLibreAdapter",
      "path" : "Sources/AmplifyMapLibreAdapter",
      "product_dependencies" : [
        "Amplify",
        "AWSCognitoAuthPlugin",
        "AWSLocationGeoPlugin",
        "Mapbox"
      ],
      "product_memberships" : [
        "AmplifyMapLibreAdapter",
        "AmplifyMapLibreUI"
      ],
      "sources" : [
        "AWSMapURLProtocol+GeoConfig.swift",
        "AWSMapURLProtocol.swift",
        "AWSMapURLProtocolError.swift",
        "AmplifyMapLibre.swift",
        "Extensions/Geo.BoundingBox+MGLCoordinateBounds.swift",
        "Extensions/Geo.SearchArea+MGLCoorindateBounds.swift",
        "Extensions/MGLPointFeature+Geo.Place.swift",
        "Extensions/MGLPointFeature+Init.swift"
      ],
      "type" : "library"
    }
  ],
  "tools_version" : "5.3"
}
{
  "workspace" : {
    "name" : "spi-builder-workspace",
    "schemes" : [
      "Amplify",
      "Amplify-Package",
      "AmplifyAsyncTestingTests",
      "AmplifyMapLibreAdapter",
      "AmplifyMapLibreAdapter-Package",
      "AmplifyMapLibreUI",
      "AWSAPIPlugin",
      "AWSCognitoAuthPlugin",
      "AWSDataStorePlugin",
      "AWSLocationGeoPlugin",
      "AWSPinpointAnalyticsPlugin",
      "AWSPinpointPushNotificationsPlugin",
      "AWSPluginsCore",
      "AWSPredictionsPlugin",
      "AWSS3StoragePlugin",
      "CoreMLPredictionsPlugin",
      "InternalAWSPinpointUnitTests"
    ]
  }
}
Running build ...
env DEVELOPER_DIR=/Applications/Xcode-15.3.0.app xcrun --toolchain org.swift.600202405261a xcodebuild -IDEClonedSourcePackagesDirPathOverride=$workDir/.dependencies -skipMacroValidation -skipPackagePluginValidation -derivedDataPath $workDir/.derivedData build -scheme AmplifyMapLibreAdapter-Package -destination platform=macos,arch=arm64 OTHER_SWIFT_FLAGS=-stats-output-dir .stats -strict-concurrency=complete
Command line invocation:
    /Applications/Xcode-15.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builder/spi-builder-workspace/.dependencies -skipMacroValidation -skipPackagePluginValidation -derivedDataPath /Users/admin/builder/spi-builder-workspace/.derivedData build -scheme AmplifyMapLibreAdapter-Package -destination platform=macos,arch=arm64 "OTHER_SWIFT_FLAGS=-stats-output-dir .stats -strict-concurrency=complete"
User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/admin/builder/spi-builder-workspace/.derivedData
    IDEPackageSupportToolchainOverrideForManifestLoading = org.swift.600202405261a
    IDEPackageSupportUseBuiltinSCM = YES
Build settings from command line:
    OTHER_SWIFT_FLAGS = -stats-output-dir .stats -strict-concurrency=complete
    TOOLCHAINS = org.swift.600202405261a
Resolve Package Graph
Resolved source packages:
  Starscream: https://github.com/daltoniam/Starscream @ 4.0.4
  swift-log: https://github.com/apple/swift-log.git @ 1.5.2
  MapLibre GL Native: https://github.com/maplibre/maplibre-gl-native-distribution @ 5.12.0
  AmplifyMapLibreAdapter: /Users/admin/builder/spi-builder-workspace
  aws-crt-swift: https://github.com/awslabs/aws-crt-swift @ 0.6.1
  swift-collections: https://github.com/apple/swift-collections @ 1.0.4
  AppSyncRealTimeClient: https://github.com/aws-amplify/aws-appsync-realtime-client-ios.git @ 3.1.0
  AmplifyUtilsNotifications: https://github.com/aws-amplify/amplify-swift-utils-notifications.git @ 1.1.0
  SQLite.swift: https://github.com/stephencelis/SQLite.swift.git @ 0.13.2
  smithy-swift: https://github.com/awslabs/smithy-swift @ 0.15.0
  Amplify: https://github.com/aws-amplify/amplify-swift.git @ 2.12.0
  XMLCoder: https://github.com/MaxDesiatov/XMLCoder.git @ 0.17.1
  aws-sdk-swift: https://github.com/awslabs/aws-sdk-swift.git @ 0.13.0
Prepare packages
ComputeTargetDependencyGraph
note: Building targets in dependency order
note: Target dependency graph (46 targets)
    Target 'AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter' (no dependencies)
    Target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'Mapbox' in project 'MapLibre GL Native' (no dependencies)
    Target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSLocation' in project 'aws-sdk-swift'
    Target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSLocation' in project 'aws-sdk-swift'
    Target 'AWSLocation' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSLocation' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSLocation' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifyBigInteger' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifySRP' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
    Target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifyBigInteger' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifySRP' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
    Target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
    Target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'ClientRuntime' in project 'smithy-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Logging' in project 'swift-log'
        ➜ Explicit dependency on target 'XMLCoder' in project 'XMLCoder'
    Target 'ClientRuntime' in project 'smithy-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Logging' in project 'swift-log'
        ➜ Explicit dependency on target 'XMLCoder' in project 'XMLCoder'
    Target 'XMLCoder' in project 'XMLCoder'
        ➜ Explicit dependency on target 'XMLCoder' in project 'XMLCoder'
    Target 'XMLCoder' in project 'XMLCoder' (no dependencies)
    Target 'Logging' in project 'swift-log'
        ➜ Explicit dependency on target 'Logging' in project 'swift-log'
    Target 'Logging' in project 'swift-log' (no dependencies)
    Target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCSdkUtils' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCAuth' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCEventStream' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Collections' in project 'swift-collections'
    Target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCSdkUtils' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCAuth' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCEventStream' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Collections' in project 'swift-collections'
    Target 'Collections' in project 'swift-collections'
        ➜ Explicit dependency on target 'Collections' in project 'swift-collections'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'OrderedCollections' in project 'swift-collections'
    Target 'Collections' in project 'swift-collections'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'OrderedCollections' in project 'swift-collections'
    Target 'OrderedCollections' in project 'swift-collections' (no dependencies)
    Target 'DequeModule' in project 'swift-collections' (no dependencies)
    Target 'AwsCEventStream' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
    Target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCAuth' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCSdkUtils' in project 'aws-crt-swift'
    Target 'AwsCSdkUtils' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
    Target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
    Target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
    Target 'AwsCPlatformConfig' in project 'aws-crt-swift' (no dependencies)
    Target 'AmplifySRP' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifyBigInteger' in project 'Amplify'
    Target 'AmplifyBigInteger' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
    Target 'libtommathAmplify' in project 'Amplify' (no dependencies)
    Target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
    Target 'Amplify' in project 'Amplify' (no dependencies)
GatherProvisioningInputs
CreateBuildDescription
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/swiftc -v
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/clang -v -E -dM -arch arm64 -isysroot /Applications/Xcode-15.3.0.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX14.4.sdk -x c -c /dev/null
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/clang -v -E -dM -isysroot /Applications/Xcode-15.3.0.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX14.4.sdk -x c -c /dev/null
ExecuteExternalTool /bin/cat /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/share/docc/features.json
ExecuteExternalTool /Applications/Xcode-15.3.0.app/Contents/Developer/usr/bin/actool --version --output-format xml1
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/ld -version_details
Build description signature: 924d04ed433166c78dd979e20f1d3a0f
Build description path: /Users/admin/builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/924d04ed433166c78dd979e20f1d3a0f.xcbuilddata
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'.
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCCommon' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Logging' from project 'swift-log')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocationGeoPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentity' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Collections' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'DequeModule' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'ClientRuntime' from project 'smithy-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSClientRuntime' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCSdkUtils' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifySRP' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Mapbox' from project 'MapLibre GL Native')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'Mapbox' from project 'MapLibre GL Native')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoAuthPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'XMLCoder' from project 'XMLCoder')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyBigInteger' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocation' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'XMLCoder' from project 'XMLCoder')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsChecksums' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoAuthPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCEventStream' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCommonRuntimeKit' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Logging' from project 'swift-log')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSPluginsCore' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCIo' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Collections' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentityProvider' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Amplify' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCPlatformConfig' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentityProvider' from project 'aws-sdk-swift')
error: The package product 'Amplify' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSCognitoAuthPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSLocationGeoPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocation' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocationGeoPlugin' from project 'Amplify')
error: The package product 'Amplify' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSCognitoAuthPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSLocationGeoPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCHttp' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Amplify' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentity' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'OrderedCollections' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCommonRuntimeKit' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'libtommathAmplify' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'ClientRuntime' from project 'smithy-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCCompression' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSClientRuntime' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCAuth' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCCal' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
--- xcodebuild: WARNING: Using the first of multiple matching destinations:
{ platform:macOS, arch:arm64, id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:macOS, arch:arm64, variant:Mac Catalyst, id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:macOS, arch:arm64, variant:DriverKit, id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:macOS, arch:arm64, variant:Designed for [iPad,iPhone], id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:tvOS Simulator, id:8B1ABE64-0401-443E-812F-247A4FBB5BDB, OS:17.4, name:Apple TV }
{ platform:tvOS Simulator, id:1CFD7C1E-15D0-43C5-AF27-909F7506EEF8, OS:17.4, name:Apple TV 4K (3rd generation) }
{ platform:tvOS Simulator, id:2F8EA46A-629D-4072-B00C-F903D55C3177, OS:17.4, name:Apple TV 4K (3rd generation) (at 1080p) }
{ platform:visionOS Simulator, id:91219D42-BD52-4AED-96DD-B55E31EB00BB, OS:1.1, name:Apple Vision Pro }
{ platform:watchOS Simulator, id:DE04AC0A-986B-4FBA-9496-F35677425C97, OS:10.4, name:Apple Watch SE (40mm) (2nd generation) }
{ platform:watchOS Simulator, id:4BE5427F-5FC7-449C-B254-3F404CE79B2F, OS:10.4, name:Apple Watch SE (44mm) (2nd generation) }
{ platform:watchOS Simulator, id:B1E30F2A-196D-43FB-B903-C3CF777EDD8E, OS:10.4, name:Apple Watch Series 5 (40mm) }
{ platform:watchOS Simulator, id:2F36C8D1-FB3D-4D85-A931-07B6EFBD4E4F, OS:10.4, name:Apple Watch Series 5 (44mm) }
{ platform:watchOS Simulator, id:CF595720-5AAE-408E-8353-1C54D9068D3E, OS:10.4, name:Apple Watch Series 6 (40mm) }
{ platform:watchOS Simulator, id:8F6954D5-8415-4A06-8701-3C7F4ACB2488, OS:10.4, name:Apple Watch Series 6 (44mm) }
{ platform:watchOS Simulator, id:F60A3AB2-C846-4E63-9A50-5E6DBD6A2777, OS:10.4, name:Apple Watch Series 7 (41mm) }
{ platform:watchOS Simulator, id:F72F2121-983A-4C32-A0D4-0C7BA61073C9, OS:10.4, name:Apple Watch Series 7 (45mm) }
{ platform:watchOS Simulator, id:86A5CFD7-08C3-40A4-B2A6-2F3A8CB8BDA5, OS:10.4, name:Apple Watch Series 9 (41mm) }
{ platform:watchOS Simulator, id:B22A08B0-18B6-43BC-94F1-5C2F83724B73, OS:10.4, name:Apple Watch Series 9 (45mm) }
{ platform:watchOS Simulator, id:797FC64C-7930-4151-8822-6349FA58EFA0, OS:10.4, name:Apple Watch Ultra 2 (49mm) }
{ platform:iOS Simulator, id:80B3B926-14C6-407B-AD45-937DD9D118A2, OS:17.4, name:iPad (10th generation) }
{ platform:iOS Simulator, id:DCA453EF-4DA0-4BCB-9EDB-B627F480EC88, OS:17.4, name:iPad Air (5th generation) }
{ platform:iOS Simulator, id:1DD2445B-C99B-432E-99AB-F239A53F76A7, OS:17.4, name:iPad Pro (11-inch) (4th generation) }
{ platform:iOS Simulator, id:63A2100A-3ABC-479B-927E-0927E96A78B0, OS:17.4, name:iPad Pro (12.9-inch) (6th generation) }
{ platform:iOS Simulator, id:182006EF-3CD1-439B-B898-2FF003963B39, OS:17.4, name:iPad mini (6th generation) }
{ platform:iOS Simulator, id:E86EA00F-56E9-4BD5-BE25-B4AE5E09CD43, OS:17.4, name:iPhone 15 }
{ platform:iOS Simulator, id:724EDFB5-2285-4CCF-A274-5CEAC57CE7ED, OS:17.4, name:iPhone 15 Plus }
{ platform:iOS Simulator, id:FA8EB545-B4CA-4062-86F4-C39DEAD04F1E, OS:17.4, name:iPhone 15 Pro }
{ platform:iOS Simulator, id:4C84A4B0-ABA2-4072-B35C-2EF2B0D49AA7, OS:17.4, name:iPhone 15 Pro Max }
{ platform:iOS Simulator, id:82B3845C-C246-4FEC-B1FB-D4892A314D10, OS:17.4, name:iPhone SE (3rd generation) }
** BUILD FAILED **
Command line invocation:
    /Applications/Xcode-15.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/admin/builder/spi-builder-workspace/.dependencies -skipMacroValidation -skipPackagePluginValidation -derivedDataPath /Users/admin/builder/spi-builder-workspace/.derivedData build -scheme AmplifyMapLibreAdapter-Package -destination platform=macos,arch=arm64 "OTHER_SWIFT_FLAGS=-stats-output-dir .stats -strict-concurrency=complete"
User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/admin/builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/admin/builder/spi-builder-workspace/.derivedData
    IDEPackageSupportToolchainOverrideForManifestLoading = org.swift.600202405261a
    IDEPackageSupportUseBuiltinSCM = YES
Build settings from command line:
    OTHER_SWIFT_FLAGS = -stats-output-dir .stats -strict-concurrency=complete
    TOOLCHAINS = org.swift.600202405261a
Resolve Package Graph
Resolved source packages:
  AppSyncRealTimeClient: https://github.com/aws-amplify/aws-appsync-realtime-client-ios.git @ 3.1.0
  swift-log: https://github.com/apple/swift-log.git @ 1.5.2
  XMLCoder: https://github.com/MaxDesiatov/XMLCoder.git @ 0.17.1
  aws-crt-swift: https://github.com/awslabs/aws-crt-swift @ 0.6.1
  AmplifyMapLibreAdapter: /Users/admin/builder/spi-builder-workspace
  SQLite.swift: https://github.com/stephencelis/SQLite.swift.git @ 0.13.2
  Starscream: https://github.com/daltoniam/Starscream @ 4.0.4
  smithy-swift: https://github.com/awslabs/smithy-swift @ 0.15.0
  AmplifyUtilsNotifications: https://github.com/aws-amplify/amplify-swift-utils-notifications.git @ 1.1.0
  MapLibre GL Native: https://github.com/maplibre/maplibre-gl-native-distribution @ 5.12.0
  Amplify: https://github.com/aws-amplify/amplify-swift.git @ 2.12.0
  aws-sdk-swift: https://github.com/awslabs/aws-sdk-swift.git @ 0.13.0
  swift-collections: https://github.com/apple/swift-collections @ 1.0.4
Prepare packages
ComputeTargetDependencyGraph
note: Building targets in dependency order
note: Target dependency graph (46 targets)
    Target 'AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' in project 'AmplifyMapLibreAdapter' (no dependencies)
    Target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'AmplifyMapLibreAdapter' in project 'AmplifyMapLibreAdapter'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Mapbox' in project 'MapLibre GL Native'
    Target 'Mapbox' in project 'MapLibre GL Native' (no dependencies)
    Target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSLocation' in project 'aws-sdk-swift'
    Target 'AWSLocationGeoPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSLocation' in project 'aws-sdk-swift'
    Target 'AWSLocation' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSLocation' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSLocation' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifyBigInteger' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifySRP' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
    Target 'AWSCognitoAuthPlugin' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifyBigInteger' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifySRP' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
    Target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoIdentity' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSCognitoIdentityProvider' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSPluginsCore' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
    Target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'AWSClientRuntime' in project 'aws-sdk-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
    Target 'ClientRuntime' in project 'smithy-swift'
        ➜ Explicit dependency on target 'ClientRuntime' in project 'smithy-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Logging' in project 'swift-log'
        ➜ Explicit dependency on target 'XMLCoder' in project 'XMLCoder'
    Target 'ClientRuntime' in project 'smithy-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Logging' in project 'swift-log'
        ➜ Explicit dependency on target 'XMLCoder' in project 'XMLCoder'
    Target 'XMLCoder' in project 'XMLCoder'
        ➜ Explicit dependency on target 'XMLCoder' in project 'XMLCoder'
    Target 'XMLCoder' in project 'XMLCoder' (no dependencies)
    Target 'Logging' in project 'swift-log'
        ➜ Explicit dependency on target 'Logging' in project 'swift-log'
    Target 'Logging' in project 'swift-log' (no dependencies)
    Target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCSdkUtils' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCAuth' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCEventStream' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Collections' in project 'swift-collections'
    Target 'AwsCommonRuntimeKit' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCSdkUtils' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCAuth' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCEventStream' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'Collections' in project 'swift-collections'
    Target 'Collections' in project 'swift-collections'
        ➜ Explicit dependency on target 'Collections' in project 'swift-collections'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'OrderedCollections' in project 'swift-collections'
    Target 'Collections' in project 'swift-collections'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'OrderedCollections' in project 'swift-collections'
    Target 'OrderedCollections' in project 'swift-collections' (no dependencies)
    Target 'DequeModule' in project 'swift-collections' (no dependencies)
    Target 'AwsCEventStream' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
    Target 'AwsChecksums' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCAuth' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCSdkUtils' in project 'aws-crt-swift'
    Target 'AwsCSdkUtils' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCHttp' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCIo' in project 'aws-crt-swift'
    Target 'AwsCIo' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCal' in project 'aws-crt-swift'
    Target 'AwsCCal' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCCompression' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCCommon' in project 'aws-crt-swift'
    Target 'AwsCCommon' in project 'aws-crt-swift'
        ➜ Explicit dependency on target 'AwsCPlatformConfig' in project 'aws-crt-swift'
    Target 'AwsCPlatformConfig' in project 'aws-crt-swift' (no dependencies)
    Target 'AmplifySRP' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
        ➜ Explicit dependency on target 'AmplifyBigInteger' in project 'Amplify'
    Target 'AmplifyBigInteger' in project 'Amplify'
        ➜ Explicit dependency on target 'libtommathAmplify' in project 'Amplify'
    Target 'libtommathAmplify' in project 'Amplify' (no dependencies)
    Target 'Amplify' in project 'Amplify'
        ➜ Explicit dependency on target 'Amplify' in project 'Amplify'
    Target 'Amplify' in project 'Amplify' (no dependencies)
GatherProvisioningInputs
CreateBuildDescription
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/swiftc -v
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/clang -v -E -dM -arch arm64 -isysroot /Applications/Xcode-15.3.0.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX14.4.sdk -x c -c /dev/null
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/clang -v -E -dM -isysroot /Applications/Xcode-15.3.0.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX14.4.sdk -x c -c /dev/null
ExecuteExternalTool /bin/cat /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/share/docc/features.json
ExecuteExternalTool /Applications/Xcode-15.3.0.app/Contents/Developer/usr/bin/actool --version --output-format xml1
ExecuteExternalTool /Library/Developer/Toolchains/swift-6.0-DEVELOPMENT-SNAPSHOT-2024-05-26-a.xctoolchain/usr/bin/ld -version_details
Build description signature: 924d04ed433166c78dd979e20f1d3a0f
Build description path: /Users/admin/builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/924d04ed433166c78dd979e20f1d3a0f.xcbuilddata
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'.
error: The package product 'Amplify' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSCognitoAuthPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSLocationGeoPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCPlatformConfig' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Collections' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Logging' from project 'swift-log')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Amplify' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoAuthPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentityProvider' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreAdapter_AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocationGeoPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCAuth' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentity' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'ClientRuntime' from project 'smithy-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSPluginsCore' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifySRP' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyBigInteger' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoAuthPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsChecksums' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCCompression' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSClientRuntime' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'OrderedCollections' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'DequeModule' from project 'swift-collections')
error: The package product 'Amplify' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSCognitoAuthPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
error: The package product 'AWSLocationGeoPlugin' requires minimum platform version 10.15 for the macOS platform, but this target supports 10.13 (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreAdapter' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCCommon' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'ClientRuntime' from project 'smithy-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'libtommathAmplify' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Logging' from project 'swift-log')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCEventStream' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocation' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Mapbox' from project 'MapLibre GL Native')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'Mapbox' from project 'MapLibre GL Native')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework:1:1: error: While building for macOS, no library for this platform was found in '/Users/admin/builder/spi-builder-workspace/.dependencies/artifacts/maplibre-gl-native-distribution/Mapbox/Mapbox.xcframework'. (in target 'AmplifyMapLibreUI' from project 'AmplifyMapLibreAdapter')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCommonRuntimeKit' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCHttp' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCSdkUtils' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCommonRuntimeKit' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentity' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'XMLCoder' from project 'XMLCoder')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCIo' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocation' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSLocationGeoPlugin' from project 'Amplify')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Collections' from project 'swift-collections')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSClientRuntime' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AWSCognitoIdentityProvider' from project 'aws-sdk-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'XMLCoder' from project 'XMLCoder')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'AwsCCal' from project 'aws-crt-swift')
note: Using global toolchain override 'Swift 6.0 Development Snapshot 2024-05-26 (a)'. (in target 'Amplify' from project 'Amplify')
--- xcodebuild: WARNING: Using the first of multiple matching destinations:
{ platform:macOS, arch:arm64, id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:macOS, arch:arm64, variant:Mac Catalyst, id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:macOS, arch:arm64, variant:DriverKit, id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:macOS, arch:arm64, variant:Designed for [iPad,iPhone], id:0000FE00-8C151E3703BE51BE, name:My Mac }
{ platform:tvOS Simulator, id:8B1ABE64-0401-443E-812F-247A4FBB5BDB, OS:17.4, name:Apple TV }
{ platform:tvOS Simulator, id:1CFD7C1E-15D0-43C5-AF27-909F7506EEF8, OS:17.4, name:Apple TV 4K (3rd generation) }
{ platform:tvOS Simulator, id:2F8EA46A-629D-4072-B00C-F903D55C3177, OS:17.4, name:Apple TV 4K (3rd generation) (at 1080p) }
{ platform:visionOS Simulator, id:91219D42-BD52-4AED-96DD-B55E31EB00BB, OS:1.1, name:Apple Vision Pro }
{ platform:watchOS Simulator, id:DE04AC0A-986B-4FBA-9496-F35677425C97, OS:10.4, name:Apple Watch SE (40mm) (2nd generation) }
{ platform:watchOS Simulator, id:4BE5427F-5FC7-449C-B254-3F404CE79B2F, OS:10.4, name:Apple Watch SE (44mm) (2nd generation) }
{ platform:watchOS Simulator, id:B1E30F2A-196D-43FB-B903-C3CF777EDD8E, OS:10.4, name:Apple Watch Series 5 (40mm) }
{ platform:watchOS Simulator, id:2F36C8D1-FB3D-4D85-A931-07B6EFBD4E4F, OS:10.4, name:Apple Watch Series 5 (44mm) }
{ platform:watchOS Simulator, id:CF595720-5AAE-408E-8353-1C54D9068D3E, OS:10.4, name:Apple Watch Series 6 (40mm) }
{ platform:watchOS Simulator, id:8F6954D5-8415-4A06-8701-3C7F4ACB2488, OS:10.4, name:Apple Watch Series 6 (44mm) }
{ platform:watchOS Simulator, id:F60A3AB2-C846-4E63-9A50-5E6DBD6A2777, OS:10.4, name:Apple Watch Series 7 (41mm) }
{ platform:watchOS Simulator, id:F72F2121-983A-4C32-A0D4-0C7BA61073C9, OS:10.4, name:Apple Watch Series 7 (45mm) }
{ platform:watchOS Simulator, id:86A5CFD7-08C3-40A4-B2A6-2F3A8CB8BDA5, OS:10.4, name:Apple Watch Series 9 (41mm) }
{ platform:watchOS Simulator, id:B22A08B0-18B6-43BC-94F1-5C2F83724B73, OS:10.4, name:Apple Watch Series 9 (45mm) }
{ platform:watchOS Simulator, id:797FC64C-7930-4151-8822-6349FA58EFA0, OS:10.4, name:Apple Watch Ultra 2 (49mm) }
{ platform:iOS Simulator, id:80B3B926-14C6-407B-AD45-937DD9D118A2, OS:17.4, name:iPad (10th generation) }
{ platform:iOS Simulator, id:DCA453EF-4DA0-4BCB-9EDB-B627F480EC88, OS:17.4, name:iPad Air (5th generation) }
{ platform:iOS Simulator, id:1DD2445B-C99B-432E-99AB-F239A53F76A7, OS:17.4, name:iPad Pro (11-inch) (4th generation) }
{ platform:iOS Simulator, id:63A2100A-3ABC-479B-927E-0927E96A78B0, OS:17.4, name:iPad Pro (12.9-inch) (6th generation) }
{ platform:iOS Simulator, id:182006EF-3CD1-439B-B898-2FF003963B39, OS:17.4, name:iPad mini (6th generation) }
{ platform:iOS Simulator, id:E86EA00F-56E9-4BD5-BE25-B4AE5E09CD43, OS:17.4, name:iPhone 15 }
{ platform:iOS Simulator, id:724EDFB5-2285-4CCF-A274-5CEAC57CE7ED, OS:17.4, name:iPhone 15 Plus }
{ platform:iOS Simulator, id:FA8EB545-B4CA-4062-86F4-C39DEAD04F1E, OS:17.4, name:iPhone 15 Pro }
{ platform:iOS Simulator, id:4C84A4B0-ABA2-4072-B35C-2EF2B0D49AA7, OS:17.4, name:iPhone 15 Pro Max }
{ platform:iOS Simulator, id:82B3845C-C246-4FEC-B1FB-D4892A314D10, OS:17.4, name:iPhone SE (3rd generation) }
** BUILD FAILED **
BUILD FAILURE 6.0 macosXcodebuild
This is a staging environment. For live and up-to-date package information, visit swiftpackageindex.com.